SafeRightShift Class Reference

Safely right shift values when undefined behavior could occur. More...

## Detailed Description

Safely right shift values when undefined behavior could occur.

Template Parameters

  bits | the number of bit positions to shift the value
  T | class or type

Parameters

  value | the value to right shift

Returns
  the shifted value or 0

SafeRightShift safely shifts the value to the right when undefined behavior could occur under C/C++ rules. SafeRightShift will return the shifted value or 0 if undefined behavior would occur.

The documentation for this class was generated from the following file:

- misc.h